org.apache.solr.util

## Class FileUtils

- java.lang.Object
- - org.apache.solr.util.FileUtils

-     public class FileUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copyFile(File src, File destination)`
    `static boolean` | `fileExists(String filePathString)`
    `static File` | `resolvePath(File base, String path)` Resolves a path relative a base directory.
    `static void` | `sync(File fullFile)` Copied from Lucene's FSDirectory.fsync(String)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUtils

          public FileUtils()

  - ### Method Detail

    - #### resolvePath

          public static File resolvePath(File base,
                                         String path)

      Resolves a path relative a base directory.

      This method does what "new File(base,path)" Should do, if it wasn't completely lame: If path is absolute, then a File for that path is returned; if it's not absolute, then a File is returned using "path" as a child of "base")

    - #### copyFile

          public static void copyFile(File src,
                                      File destination)
                               throws IOException

      Throws:
        `IOException`

    - #### sync

          public static void sync(File fullFile)
                           throws IOException

      Copied from Lucene's FSDirectory.fsync(String)
      Parameters:
        `fullFile` - the File to be synced to disk
      Throws:
        `IOException` - if the file could not be synced

    - #### fileExists

          public static boolean fileExists(String filePathString)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.